﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace INT_PT002.DataStore
{
    public class Define
    {
        public enum E_EquipmentStatus
        {
            Stop = 0,
            Start = 1,
        };

        public enum E_TopMenuStore
        {
            Recipe,
            User,
            Manual,
            Log,
            System,
        }
        public enum E_MenuRecipeStore
        {
            _0_None,
            _1_Setting,
        };
        public enum E_MenuUserStore
        {
            _0_None,
            _1_UserEditor,
            _2_GroupEditor,
        };
        public enum E_MenuManualStore
        {
            _0_None,
            _1_IoTest,
        };
        public enum E_MenuLogStore
        {
            _0_None,
            _1_Inspection,
            _2_History,
            _3_Alarm,
        };
        public enum E_MenuSystemStore
        {
            _0_None,
            _1_Information,
            _2_Status,
        };

        public enum E_DisplayStore
        { 
            DisplayMain,
            DisplayRecipe,
            DisplayEquipmentTest,
            DisplayUser,
            DisplayUserEditor,
        }

        public enum E_ProcessStatus
        {
            _0_None = 0,
            _1_Initial,
            _2_ProductEntry,
            _3_ChamberConbined,
            _4_VacuumStart,
            _5_VacuumHold,
            _6_Judgment,
            _7_VacuumBreak,
            _8_ChamberSeparation,
            _9_ProductRelease,
        };

        public enum E_JudgmentStatus
        {
            None,
            Pass,
            Ng,
            Error,
        };

        public enum E_ResponseData
        {
            NAK = 0,
            ACK = 1,
        };

        public enum E_UpdateCheck
        {
            Fail,
            Success,
            NoUsbMomery,
            NoUpdateFolder,
            NoFile,
        }

        public enum E_LanguageID
        {
            Korean,
            English,
        }

        public enum E_MessageBoxIcon
        {
            None,
            Hand,
            Question,
            Exclamation,
            Asterisk,
        }

        public enum E_FormStore
        {
            FormNone = 0,
            FormMainDisplay,
            FormMenu,
            FormProduct,
            FormConfiguration,
            FormCommunication,
            FormUserEditor,
            FormIOTest,
            FormMotorSetting,
            FormEquipmentLog,
            FormCheckLog,
            FormAlarmList,
            FormInformation,
            FormEquipmentSetting,
            FormTimeSetting,
        }

        public enum E_UserGroup
        {
            f0_Level1 = 0,
            f1_Level2 = 1,
            f2_Level3 = 2,
            f3_Default = 3,
        }

        public enum E_UserStatus
        {
            None = 0,
            Level1,
            Level2,
            Level3,
            Admin,
            Developer,
            NotLogin,
            LogOff,
        };

        public enum E_TrackingOperation
        {
            None,
            PowerOn,
            BootingComplete,
            EquipmentStart,
            EquipmentStop,
            Login,
            Logout,
            Zero,
            Clear,
            UserEditor,
        }

        public enum E_TrackingParameter
        {
            ProductNumber,
            WeightOverRange,
            WeightPassRange,
            WeightUnderRange,
            WeightTareRange,

            JudgmentFilter,
            JudgmentDelayTime,
            JudgmentDamperDelayTime,
            JudgmentCount,
            SorterDelayTime,
            SorterRunTime,

            AutoZeroTime,
            AutoZeroRange,
            AutoZeroVariance,

            Com3Baurate,
            Com3Mode,

            CalMaxWeight,
            CalBalWeight,
            CalDigit,

            EtcDoubleEntry,
            EtcChattering,
            EtcBuzzerRunTime,
            EtcRelayRunTime,
            EtcDecimalpoint,

            MotorOriginOffset,
            MotorOriginSpeed,
            MotorSpeed,
            MotorPosition0,
            MotorPosition1,
            MotorPosition2,
        }

        public enum E_Trackingalarm
        {
            None,
            a1_PressureError,
            a2_LoadcellError,
            a3_EntrySensorError,
            a4_ServoTorqueAlarm,
            a5_ServoAlarm,
            a6_ServoOff,
        }

        public enum E_TrackingType
        {
            Operation,
            Parameter,
            Alarm,
        }
    }
}
